scala.xml.include

# sax

#### package sax

Visibility

1. Public
2. All

### Type Members

1. #### class XIncludeFilter extends XMLFilterImpl

   This is a SAX filter which resolves all XInclude include elements before passing them on to the client application.

2. #### class XIncluder extends ContentHandler with LexicalHandler

   XIncluder is a SAX `ContentHandler` that writes its XML document onto an output stream after resolving all `xinclude:include` elements.

### Value Members

1. #### object EncodingHeuristics

   `EncodingHeuristics` reads from a stream (which should be buffered) and attempts to guess what the encoding of the text in the stream is.

### Deprecated Value Members

1. #### object Main

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Code example will be moved to documentation.

### Ungrouped